#ifndef _VECTORES_H_
#define _VECTORES_H_

typedef struct vector_st
{
  double x;
  double y;
} vector_t;

void   cero(vector_t* v);
void   copia(vector_t* cop, vector_t* orig);
void   suma(vector_t* res, vector_t* v);
void   resta(vector_t* res, vector_t* v);
void   producto_escalar(vector_t* res, double f);
double longitud(vector_t* v);
void   normalizar(vector_t* v);
void   truncar(vector_t* v, double max);


#endif
